import { EChartsExtensionInstallRegisters } from './internal/extension.js';
export { AriaOption as AriaComponentOption, BrushOption as BrushComponentOption, install as DatasetComponent, DatasetOption as DatasetComponentOption } from './internal/extension.js';
export { AxisPointerOption as AxisPointerComponentOption, CalendarOption as CalendarComponentOption, DataZoomComponentOption, GeoOption as GeoComponentOption, GraphicComponentLooseOption as GraphicComponentOption, GridOption as GridComponentOption, LegendComponentOption, MarkAreaOption as MarkAreaComponentOption, MarkLineOption as MarkLineComponentOption, MarkPointOption as MarkPointComponentOption, ParallelCoordinateSystemOption as ParallelComponentOption, PolarOption as PolarComponentOption, RadarOption as RadarComponentOption, SingleAxisOption as SingleAxisComponentOption, TimelineOption as TimelineComponentOption, install as TitleComponent, TitleOption as TitleComponentOption, ToolboxComponentOption, TooltipOption as TooltipComponentOption, VisualMapComponentOption } from './internal/option.js';

declare function install$r(registers: EChartsExtensionInstallRegisters): void;

declare function install$q(registers: EChartsExtensionInstallRegisters): void;

declare function install$p(registers: EChartsExtensionInstallRegisters): void;

declare function install$o(registers: EChartsExtensionInstallRegisters): void;

declare function install$n(registers: EChartsExtensionInstallRegisters): void;

declare function install$m(registers: EChartsExtensionInstallRegisters): void;

declare function install$l(registers: EChartsExtensionInstallRegisters): void;

declare function install$k(registers: EChartsExtensionInstallRegisters): void;

declare function install$j(registers: EChartsExtensionInstallRegisters): void;

declare function install$i(registers: EChartsExtensionInstallRegisters): void;

declare function install$h(registers: EChartsExtensionInstallRegisters): void;

declare function install$g(registers: EChartsExtensionInstallRegisters): void;

declare function install$f(registers: EChartsExtensionInstallRegisters): void;

declare function install$e(registers: EChartsExtensionInstallRegisters): void;

declare function install$d(registers: EChartsExtensionInstallRegisters): void;

declare function install$c(registers: EChartsExtensionInstallRegisters): void;

declare function install$b(registers: EChartsExtensionInstallRegisters): void;

declare function install$a(registers: EChartsExtensionInstallRegisters): void;

declare function install$9(registers: EChartsExtensionInstallRegisters): void;

declare function install$8(registers: EChartsExtensionInstallRegisters): void;

declare function install$7(registers: EChartsExtensionInstallRegisters): void;

declare function install$6(registers: EChartsExtensionInstallRegisters): void;

declare function install$5(registers: EChartsExtensionInstallRegisters): void;

declare function install$4(registers: EChartsExtensionInstallRegisters): void;

declare function install$3(registers: EChartsExtensionInstallRegisters): void;

declare function install$2(registers: EChartsExtensionInstallRegisters): void;

declare function install$1(registers: EChartsExtensionInstallRegisters): void;

declare function install(registers: EChartsExtensionInstallRegisters): void;

export { install$1 as AriaComponent, install$g as AxisPointerComponent, install$f as BrushComponent, install$k as CalendarComponent, install$7 as DataZoomComponent, install$6 as DataZoomInsideComponent, install$5 as DataZoomSliderComponent, install$n as GeoComponent, install$j as GraphicComponent, install$q as GridComponent, install$r as GridSimpleComponent, install$a as LegendComponent, install$8 as LegendPlainComponent, install$9 as LegendScrollComponent, install$b as MarkAreaComponent, install$c as MarkLineComponent, install$d as MarkPointComponent, install$l as ParallelComponent, install$p as PolarComponent, install$o as RadarComponent, install$m as SingleAxisComponent, install$e as TimelineComponent, install$i as ToolboxComponent, install$h as TooltipComponent, install as TransformComponent, install$4 as VisualMapComponent, install$3 as VisualMapContinuousComponent, install$2 as VisualMapPiecewiseComponent };
